/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/08/08
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/ 

/*
 *@Note
  Example routine to emulate a simulate USB-CDC Device, USE USART1(PA9/PA10);
  Recommended to use UART2(PA2) as debug port, you can modify the debug port
  by modifying the macro definition in debug.h

    USB_HP_CAN1_TX_IRQn = 35,   USB Device High Priority or CAN1 TX Interrupts
    USB_LP_CAN1_RX0_IRQn = 36, USB Device Low Priority or CAN1 RX0 Interrupts

    144MHZ

      串口1作用：
  CDC串口：   PA11 -- DM(D-)  PA12 -- DP(D+)
  TIM2：
*/

#include "UART.h"
#include "debug.h"
#include "usb_lib.h"


/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{   
    char a[]="aaaa";
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);//优先级
	Delay_Init();                                  //延时函数

	RCC_Configuration( );                          //时钟初始化，其实外设初始化之前也都加上了
	USART_Printf_Init(115200);                      //串口舒适化
	printf("SystemClk:%d\r\n",SystemCoreClock);
	printf("USBD SimulateCDC Demo\r\n");
    

    TIM2_Init( );                                   //定时器初始化
    UART1_Init( 1, DEF_UARTx_BAUDRATE, DEF_UARTx_STOPBIT, DEF_UARTx_PARITY );//115200 0停止位  0校验位

    
    /*看不懂系列*/
	Set_USBConfig(); 
    USB_Init();	    
 	USB_Interrupts_Config();    

 	memcpy(UART1_Tx_Buf,a,sizeof(a));
	while(1)
	{
        UART1_DataRx_Deal( );
       // printf("F\r\n");
        printf("UART1_Rx_Buf strlen(%d)\r\n",strlen(UART1_Rx_Buf));
        printf("UART1_Tx_Buf strlen(%d)\r\n",strlen(UART1_Tx_Buf));
        UART1_DataTx_Deal( );
	}
}







